Bug 1316829 - (CVE-2016-3115) CVE-2016-3115 openssh: missing sanitisation of input for X11 forwarding
CVE-2016-3115 openssh: missing sanitisation of input for X11 forwarding
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160310,repor...
: Security
Depends On: 1316830 1317816 1317817 1317818 1317819 1318201 1318202
Blocks: 1316832
  Show dependency treegraph
 
Reported: 2016-03-11 04:11 EST by Andrej Nemec
Modified: 2016-08-31 10:17 EDT (History)
11 users (show)

See Also:
Fixed In Version: openssh 7.2p2
Doc Type: Bug Fix
Doc Text:
It was discovered that the OpenSSH server did not sanitize data received in requests to enable X11 forwarding. An authenticated client with restricted SSH access could possibly use this flaw to bypass intended restrictions.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-21 17:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-03-11 04:11:18 EST
Missing sanitisation of untrusted input allows an authenticated user who is able to request X11 forwarding to inject commands to xauth(1).

Injection of xauth commands grants the ability to read arbitrary files under the authenticated user's privilege. Other xauth commands allow limited information leakage, file overwrite, port probing and generally expose xauth(1), which was not written with a hostile user in mind, as an attack surface.

xauth(1) is run under the user's privilege, so this vulnerability offers no additional access to unrestricted accounts, but could circumvent key or account restrictions such as sshd_config ForceCommand, authorized_keys command="..." or restricted shells.

External references:

http://www.openssh.com/txt/x11fwd.adv

CVE assignment:

http://seclists.org/oss-sec/2016/q1/593
Comment 1 Andrej Nemec 2016-03-11 04:11:41 EST
Created openssh tracking bugs for this issue:

Affects: fedora-all [bug 1316830]
Comment 2 Fedora Update System 2016-03-13 19:53:19 EDT
openssh-7.2p2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Huzaifa S. Sidhpurwala 2016-03-15 06:19:28 EDT
Statement:

(none)
Comment 6 Martin Prpič 2016-03-15 07:36:28 EDT
Mitigation:

Set X11Forwarding=no in sshd_config.

For authorized_keys that specify a "command" restriction, this issue can be mitigated by also setting the "no-X11-forwarding" restriction. In OpenSSH 7.2 and later, the "restrict" restriction can be used instead, which includes the "no-X11-forwarding" restriction.
Comment 9 Tomas Hoger 2016-03-16 05:25:13 EDT
Created gsi-openssh tracking bugs for this issue:

Affects: fedora-all [bug 1318201]
Affects: epel-all [bug 1318202]
Comment 10 errata-xmlrpc 2016-03-21 16:18:36 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0466 https://rhn.redhat.com/errata/RHSA-2016-0466.html
Comment 11 errata-xmlrpc 2016-03-21 16:45:30 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0465 https://rhn.redhat.com/errata/RHSA-2016-0465.html
Comment 12 Fedora Update System 2016-03-26 14:12:36 EDT
openssh-7.2p2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-29 15:19:34 EDT
openssh-6.9p1-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.